#ifndef __GARGOYLE_DELUSION_H_
#define __GARGOYLE_DELUSION_H_

#include <gargoyle/codex.h>

static const uint8_t GARGOYLE_MAX_ERR_SZ = 255;
static const uint8_t GARGOYLE_MAX_FUNC_SZ = 32;

struct gargoyle_err {
  gargoyle_err_type code;
  int errno;
  char func[GARGOYLE_MAX_FUNC_SZ];
  char errno_func[GARGOYLE_MAX_FUNC_SZ];
  char msg[GARGOYLE_MAX_ERR_SZ];
};

void gargoyle_emit_err(struct gargoyle_err *err);

#endif
